<?php

namespace Nelio_AB_Testing\Experiment_Library\Post_Experiment;

defined( 'ABSPATH' ) || exit;

use \add_filter;

function should_trigger_page_view( $result, $alternative, $control ) {

	$current_post = get_queried_object_id();

	if ( absint( $control['postId'] ) === $current_post ) {
		return true;
	}//end if

	if ( absint( $alternative['postId'] ) === $current_post ) {
		return true;
	}//end if

	return false;

}//end should_trigger_page_view()
add_action( 'nab_nab/page_should_trigger_page_view', __NAMESPACE__ . '\should_trigger_page_view', 10, 3 );
add_action( 'nab_nab/post_should_trigger_page_view', __NAMESPACE__ . '\should_trigger_page_view', 10, 3 );
add_action( 'nab_nab/custom-post-type_should_trigger_page_view', __NAMESPACE__ . '\should_trigger_page_view', 10, 3 );

function should_track_heatmap( $result, $alternative, $control ) {

	if ( ! is_singular() ) {
		return false;
	}//end if

	$current_post = get_queried_object_id();
	if ( is_home() ) {
		$current_post = get_option( 'page_on_front', 0 );
	}//end if

	if ( absint( $control['postId'] ) === $current_post ) {
		return true;
	}//end if

	if ( absint( $alternative['postId'] ) === $current_post ) {
		return true;
	}//end if

	return $result;

}//end should_track_heatmap()
add_action( 'nab_nab/page_should_track_heatmap', __NAMESPACE__ . '\should_track_heatmap', 10, 3 );
add_action( 'nab_nab/post_should_track_heatmap', __NAMESPACE__ . '\should_track_heatmap', 10, 3 );
add_action( 'nab_nab/custom-post-type_should_track_heatmap', __NAMESPACE__ . '\should_track_heatmap', 10, 3 );

function did_switch_queried_object( $result, $alternative ) {

	$actual_post   = get_queried_object_id();
	$expected_post = absint( $alternative['postId'] );

	if ( $actual_post !== $expected_post ) {
		return $result;
	}//end if

	return true;

}//end did_switch_queried_object()
add_action( 'nab_nab/page_did_switch_queried_object', __NAMESPACE__ . '\did_switch_queried_object', 10, 2 );
add_action( 'nab_nab/post_did_switch_queried_object', __NAMESPACE__ . '\did_switch_queried_object', 10, 2 );
add_action( 'nab_nab/custom-post-type_did_switch_queried_object', __NAMESPACE__ . '\did_switch_queried_object', 10, 2 );
